LINUX.ORG.RU

драйвер для апаратного arch linux

 , , , ,


0

1

карта: intel hd.

мне нужен драйвер libva-intel-driver, но он попросту не работает, а работает libvdpau-va-gl

хотя стоит тот и тот

vdpau: 3%-4% cpu;
vaapi: 10%-25% cpu.
sudo grep -i vdpau /var/log/Xorg.0.log
[    14.804] (II) intel(0): [DRI2]   VDPAU driver: va_gl

почему не работает vaapi и нужен ли мне вообще драйвер libva-intel-driver?

вот такой вопрос

нужен ли мне вообще драйвер libva-intel-driver

Нужен, чтобы использовать аппаратное декодирование в видеоплеерах.

почему не работает vaapi

Так а чего ты в логе Xorg'а то смотришь. Попробуй какое-нибудь h264 видео посмотреть через mpv, например. Тогда и поймешь, работает vaapi или нет.

Kron4ek ★★★ ()
Ответ на: комментарий от cherry

Почему, не знаю. Может, это особенность vlc. Попоробуй в mpv проверить. Ну и проверь нагрузку на cpu без этого пакета, если она не изменится, значит пакет не нужен. Вообще, В Wiki рекомендуют и vdpau и vaapi установить.

Kron4ek ★★★ ()
Ответ на: комментарий от Kron4ek
error: XDG_RUNTIME_DIR not set in the environment.
libva info: VA-API version 1.0.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_1_0
libva info: va_openDriver() returns 0
vainfo: VA-API version: 1.0 (libva 2.0.0)
vainfo: Driver version: Intel i965 driver for Intel(R) Ivybridge Mobile - 2.0.0
vainfo: Supported profile and entrypoints

странно. в vlc VDPAU, а в mpv VAAPI работает и всё это одинаково.. страно

cherry ()
Ответ на: комментарий от cherry

почему пишет VDPAU driver: va_gl

Потому что ты используешь иксовый драйвер intel, а его разработчики в какой-то момент решили, что будут возвращать строку «va_gl».

а не VAAPI?

Эта часть вопроса не имеет смысла.

i-rinat ★★★★★ ()
Ответ на: комментарий от i-rinat

В принципе - влияет.
Многие программы, записывают свои установки в /etc лишь для bash .sh

Как ты понял, нужно файлы такиь конфигураций копировать с расширением .zsh

blitz ()